// current_ports.c : definition of the standard console port objects
// Copyright (c) 2005-2007 Garth Zeglin

// This file is part of ArtLPC. 

// ArtLPC is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// ArtLPC is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with ArtLPC; if not, write to the Free Software Foundation,
// Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

// ---------------------------------------------------------------------
#include <libstd.h>

#if LIBSTD_STANDARD_PORTS_DEFAULT
// This is often the default for UNIX in order to use the stdio defaults.
struct port_t *current_output_port = &standard_output_port;
struct port_t *current_input_port  = &standard_input_port;

#else
// This is the usual default, so the target code must initialize these explicitly.
struct port_t *current_output_port = NULL;
struct port_t *current_input_port = NULL;

#endif
